Loading...
Searching...
No Matches
SmilesJSONParsers.h File Reference
`#include "SmilesWrite.h"`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.

## Functions

RDKIT_SMILESPARSE_EXPORT void | RDKit::updateSmilesWriteParamsFromJSON (SmilesWriteParams &params, const std::string &details_json)
RDKIT_SMILESPARSE_EXPORT void | RDKit::updateSmilesWriteParamsFromJSON (SmilesWriteParams &params, const char *details_json)
RDKIT_SMILESPARSE_EXPORT void | RDKit::updateCXSmilesFieldsFromJSON (std::uint32_t &cxSmilesFields, unsigned int &restoreBondDirs, const std::string &details_json)
RDKIT_SMILESPARSE_EXPORT void | RDKit::updateCXSmilesFieldsFromJSON (std::uint32_t &cxSmilesFields, unsigned int &restoreBondDirs, const char *details_json)